For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETGet All
      • POSTCreate
      • POSTUpdate
      • GETGet
      • DELDelete
Logo
Sign inBook a demo
API ReferenceCustom Payment Method Schema

Get All

GET
https://api.mercoa.com/paymentMethod/schema
GET
/paymentMethod/schema
$curl https://api.mercoa.com/paymentMethod/schema \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "id": "cpms_4794d597-70dc-4fec-b6ec-c5988e759769",
4 "name": "Wire",
5 "isSource": false,
6 "isDestination": true,
7 "supportedCurrencies": [
8 "USD",
9 "EUR"
10 ],
11 "fields": [
12 {
13 "name": "bankName",
14 "type": "text",
15 "optional": false,
16 "displayName": "Bank Name"
17 },
18 {
19 "name": "recipientName",
20 "type": "text",
21 "optional": false,
22 "displayName": "Recipient Name"
23 },
24 {
25 "name": "accountNumber",
26 "type": "usBankAccountNumber",
27 "optional": false,
28 "displayName": "Account Number",
29 "useAsAccountNumber": true
30 },
31 {
32 "name": "routingNumber",
33 "type": "usBankRoutingNumber",
34 "optional": false,
35 "displayName": "Routing Number"
36 }
37 ],
38 "estimatedProcessingTime": 0,
39 "createdAt": "2021-01-01T00:00:00Z",
40 "updatedAt": "2021-01-01T00:00:00Z",
41 "maxAmount": 100000,
42 "minAmount": 1
43 },
44 {
45 "id": "cpms_14f78dcd-4614-426e-a37a-7af262431d41",
46 "name": "Check",
47 "isSource": false,
48 "isDestination": true,
49 "supportedCurrencies": [
50 "USD"
51 ],
52 "fields": [
53 {
54 "name": "payToTheOrderOf",
55 "type": "text",
56 "optional": false,
57 "displayName": "Pay To The Order Of"
58 },
59 {
60 "name": "accountNumber",
61 "type": "usBankAccountNumber",
62 "optional": false,
63 "displayName": "Account Number",
64 "useAsAccountNumber": true
65 },
66 {
67 "name": "routingNumber",
68 "type": "usBankRoutingNumber",
69 "optional": false,
70 "displayName": "Routing Number"
71 },
72 {
73 "name": "address",
74 "type": "address",
75 "optional": false,
76 "displayName": "Address"
77 }
78 ],
79 "estimatedProcessingTime": 7,
80 "createdAt": "2021-01-01T00:00:00Z",
81 "updatedAt": "2021-01-01T00:00:00Z",
82 "maxAmount": 50000,
83 "minAmount": 1
84 }
85]
Get all custom payment method schemas
Was this page helpful?
Previous

Create

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

This endpoint returns a list of objects.
idstring
namestring
isSourceboolean
This payment method can be used as a payment source for an invoice
isDestinationboolean
This payment method can be used as a payment destination for an invoice
supportedCurrencieslist of enums
List of currencies that this payment method supports.
fieldslist of objects
estimatedProcessingTimeinteger

Estimated time in days for this payment method to process a payments. 0 is an same-day payment methods, -1 is unknown processing time.

createdAtdatetime
updatedAtdatetime
maxAmountdouble
The maximum amount that can be transferred from this payment method in a single transaction.
minAmountdouble
The minimum amount that can be transferred from this payment method in a single transaction. Default is 1.

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented